> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openbunny.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tasks

> Cloud API endpoints for team-scoped task management.

All cloud API endpoints require authentication via either a web session or an API token (PAK).

For PAK authentication, include:

* `Authorization: Bearer obk_your-token`
* `X-Team-Id: your-team-uuid`

## List tasks

```bash theme={null}
GET /api/tasks
```

Returns all tasks for the authenticated team.

## Create a task

```bash theme={null}
POST /api/tasks
```

<ParamField body="title" type="string" required>
  Task title
</ParamField>

<ParamField body="description" type="string">
  Task description
</ParamField>

<ParamField body="status" type="string" default="backlog">
  Task status
</ParamField>

<ParamField body="priority" type="string" default="medium">
  Priority level
</ParamField>

<ParamField body="labels" type="string[]">
  Label array
</ParamField>

<ParamField body="requesters" type="string[]">
  Requester identifiers
</ParamField>

<ParamField body="dedupe_key" type="string">
  Deduplication key
</ParamField>

## Get a task

```bash theme={null}
GET /api/tasks/:id
```

## Update a task

```bash theme={null}
PATCH /api/tasks/:id
```

## Delete a task

```bash theme={null}
DELETE /api/tasks/:id
```

## List task comments

```bash theme={null}
GET /api/tasks/:id/comments
```

## Add a task comment

```bash theme={null}
POST /api/tasks/:id/comments
```

<ParamField body="body" type="string" required>
  Comment text
</ParamField>
